%global pypi_name flufl.i18n

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        1%{?dist}
Summary:        A high level API for Python internationalization

License:        LGPLv3+
URL:            https://launchpad.net/flufl.i18n
Source0:        http://pypi.python.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
The ``flufl.i18n`` library provides a convenient API for managing translation
contexts in Python applications. It provides facilities not only for
single-context applications like command line scripts, but also more
sophisticated management of multiple-context applications such as Internet
servers.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst README.rst COPYING-LESSER.txt
%{python_sitelib}/flufl
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}-%{version}-py?.?-nspkg.pth

%changelog
* Wed Nov 28 2012 Aurelien Bompard - 1.1.1-1
- Initial package.
